Description

RStudio should be available to some VREs to allow people execute R scripts before integrating them.

Since the RStudio workspace needs to be programmatically created, one application (RUserService) resides on the RStudio

machines and manages the user's R workspace.

This application has a REST interface but is currently used by TabMan only. We should be able to execute it through the portal

directly and visualise the RStudio interface directly through the portal.

Subtasks:

Task # 4371: same R configuration (R version and packages) on R-Studio as the one on ma... Closed

Task # 4372: open some workspace repositories (directories) containing R Scripts direct... Closed

History

#1 - Mar 09, 2016 04:44 PM - Lucio Lelii

RUserService has been dismissed, the new name is RConnector

#2 - Mar 09, 2016 08:14 PM - Pasquale Pagano

- Tracker changed from Support to Task

Please schedule this activity since the request is very reasonable and it allows us to better support member of the communities. 

#3 - Mar 13, 2016 08:47 PM - Massimiliano Assante

I know nothing about this app, don't even know where we hosting it on our infrastructure and how we auth on it , can you provide me with more

details? @lucio.lelii@isti.cnr.it you worked on this if I recall correctly

#4 - Mar 14, 2016 04:20 PM - Lucio Lelii

The current RConnector implementation is TabMan specific. For now it requires a username and a TabularResourceId. What is the use case here ? 

#5 - Mar 14, 2016 06:16 PM - Pasquale Pagano

I believe the part on connection of a user from D4Science to RStudio should be isolated from the TabMan specific behavior. This would make RStudio

reusable without passing for TabMan. In the meanwhile we could use it by specifying a sample dataset that will be loaded by RStudio even if it is not

needed.

#6 - Mar 14, 2016 06:39 PM - Lucio Lelii

I have already changed the r-connector server and client. Now the tabular resource ID is not required and the username is taken from the

authorization token.

see ticket #2615

#7 - Mar 15, 2016 10:48 AM - Massimiliano Assante

@gianpaolo.coro@isti.cnr.it It is unclear to me whether the requirement is to have RStudio embedded into an iFrame within a given VRE or a Page

that would open a separate browser tab is acceptable, because what we have now would support the latter option. 

http://rstudio-dev.d4science.org

#8 - Mar 15, 2016 11:01 AM - Gianpaolo Coro

I my opinion, the user would benefit from opening a new browser tab, because otherwise including RStudio in the portal frame would be
uncomfortable. The important point is to have the user workspace automatically created by Lucio's service.

#9 - Mar 16, 2016 12:32 PM - Lucio Lelii

I'm releasing the new RConnector in 3.10.1.

here you can find a small documentation : https://gcube.wiki.gcube-system.org/gcube/RConnector

#10 - Apr 08, 2016 12:01 PM - Julien Barde

Dear all,

I will try to clarify our needs.

At this stage, we are executing the R codes we want to deploy on the StockAssessment VRE by using an ssh access to the following server : 

https://dev.d4science.org/group/devvre/statistical-manager . This is a strong limitation for many users of the VRE who would surely like to try as well

some execution or customization of (available or new) R codes with data available within the StockAssessment VREs without ssh. At some point,

some of these codes brought by users could be made available in the Statman by using SAI. There is no way to execute these codes in the VRE for

now before trying a deployment with SAI. Many users are used to RStudio and the SAI doesn't enable to execute the R code on the infra before

deploying it but its GUI is very similar to Rstudio. We think RStudio is a missing component to browse and execute R source codes of the VRE and

related data.

By having a direct access to RStudio users will find an application they are used to and be able to customize some codes without having to go only

through StatMan where parametrization of codes is limited. I understood as well that ICES was using this kind of facility to drive some workshops.

I added Paul as a watcher of this ticket as Paul was already using RStudio (http://rstudio.d4science.org/, from tabman) to test some R codes on the

infra. Soon, we would like to test R codes with Sardara database storing tuna datasets. To run such tests in Rstudio Paul has to open a fake dataset

(he doesn't care about it) in the TabMan and then only, he can access Rstudio and download the datasets and codes he needs to work with from

external URLs (not from the VRE or not from his workspace as we expected). So this is finally very complicated and it sounds that you can finally set

it up as a dedicated item in the upper menu of the VRE.

We can discuss this use case if it needs to be clarified. As the Rstudio ling was already in the TabMan, I thought that was already possible.

#11 - Apr 11, 2016 11:44 AM - Massimiliano Assante

Dear @julien.barde@ird.fr  I understand your point. However, although the Rstudio is already in the TabMan, in order to fulfil your request we needed

to release the new  RConnector in 3.10.1.. @lucio.lelii@isti.cnr.it completed the activity about the R connector and we are performing tests in the

development environment.

The plan is that we are going to add the Studio in stock assessment VRE in the upcoming gCube 3.11.0 Release (before the end of april).

#12 - Apr 11, 2016 11:54 AM - Julien Barde

Dear Massimiliano

thanks for your message. This is fine like this, we can wait and we can work in RStudio through Tabman if needed as we know how to do it. This will

be helping for newcomers in the VRE but not a blocking issue for our work in the project.

thanks 

julien

#14 - Apr 11, 2016 11:55 AM - Massimiliano Assante

- Status changed from New to In Progress

#15 - Apr 12, 2016 02:54 PM - Massimiliano Assante

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

the R Studio has been added to stock assessment VRE, see R Studio tab

https://i-marine.d4science.org/group/stockassessment/stockassessment

#16 - Apr 13, 2016 04:53 PM - Massimiliano Assante

- Status changed from Feedback to In Progress

- % Done changed from 100 to 50

#17 - Apr 18, 2016 03:09 PM - Massimiliano Assante

- Status changed from In Progress to Paused

#18 - May 13, 2016 10:35 AM - Massimiliano Assante

- Parent task set to #3873
#19 - May 31, 2016 11:52 AM - Massimiliano Assante

- Status changed from Paused to Closed

- % Done changed from 50 to 100

the R Studio has been added to stock assessment VRE, see R Studio tab

https://i-marine.d4science.org/group/stockassessment/stockassessment

#20 - Jun 21, 2016 03:15 PM - Julien Barde

RStudio is now available and very useful to execute some R scripts.

However, as explained during TCom2, it would be even more useful with additional functionalities:

1. same R configuration (R version and packages) as the one on machine(s) used by Dataminer. This is key for us to validate (without errors) the

algorithms we want to deploy by using SAI / dataminers.

2. since SAI / dataminer algorithms will use some R scripts which might be stored on the workspace: could we open some workspace repositories

containing R Scripts directly from Rstudio in order to edit directly the files stored in the infra and used by dataminer ?
